<?php

$router->get('/', 'installer/begin/index.php')->only("non-installed");

$router->get('/permissions', 'installer/permission/create.php')->only("non-installed");
$router->post('/permissions', 'installer/permission/checkPermissions.php')->only("non-installed");

$router->get('/database', 'installer/database/create.php')->only("non-installed");
$router->post('/checkConnection', 'installer/database/checkConnection.php')->only("non-installed");
$router->post('/importDatabase', 'installer/database/importDatabase.php')->only("non-installed");


$router->get('/profile', 'installer/profile/create.php')->only("non-installed");
$router->post('/checkValid', 'installer/profile/checkValid.php')->only("non-installed");
$router->post('/saveProfile', 'installer/profile/store.php')->only("non-installed");

$router->get('/settings', 'installer/setting/create.php')->only("non-installed");
$router->post('/checkSmtp', 'installer/setting/checkSmtpConnection.php')->only("non-installed");
$router->post('/storeSmtpAfterConfirm', 'installer/setting/storeSmtpAfterConfirm.php')->only("non-installed");
$router->post('/storeEmailSettings', 'installer/setting/storeEmailSettings.php')->only("non-installed");



$router->get('/finishInstallation', 'installer/finishInstallation.php');




// $router->get('/register', 'registration/create.php')->only('guest');
// $router->post('/register', 'registration/store.php')->only('guest');

// $router->get('/login', 'session/create.php')->only('guest');
// $router->post('/session', 'session/store.php')->only('guest');
// $router->delete('/session', 'session/destroy.php')->only('auth');